## org.exist.storage
Interface ValueIndexKeyFactory

All Superinterfaces:
  java.lang.Comparable

All Known Implementing Classes:
  ValueIndexKeyFactorySimple

public interface ValueIndexKeyFactory
extends java.lang.Comparable

Factory for Keys for Value Indices; provides through serialize() the persistant storage key.

Method Summary
`byte[]` `serialize(short collectionId, boolean caseSensitive)` this is called from `NativeValueIndex`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### serialize

    public byte[] serialize(short collectionId,
                            boolean caseSensitive)
                     throws EXistException

  this is called from `NativeValueIndex`

  Returns:
    the persistant storage key
  Throws:
    `EXistException`

Copyright (C) Wolfgang Meier. All rights reserved.